[arch-commits] Commit in xtrans/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Wed May 14 13:10:55 EDT 2008


    Date: Wednesday, May 14, 2008 @ 13:10:55
  Author: jgc
Revision: 1650

Merged revisions 2-1649 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xtrans/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r1649 | jgc | 2008-05-14 17:10:41 +0000 (Wed, 14 May 2008) | 1 line
  
  upgpkg: xtrans 1.2-1
........

Modified:
  xtrans/repos/extra-x86_64/	(properties)
  xtrans/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   11 +++++++----
 1 file changed, 7 insertions(+), 4 deletions(-)


Property changes on: xtrans/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /xtrans/trunk:1
   + /xtrans/trunk:1-1649

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-05-14 17:10:41 UTC (rev 1649)
+++ extra-x86_64/PKGBUILD	2008-05-14 17:10:55 UTC (rev 1650)
@@ -2,17 +2,20 @@
 # Maintainer: Alexander Baldeck <alexander at archlinux.org>
 # Contributor: Jan de Groot <jgc at archlinux.org>
 pkgname=xtrans
-pkgver=1.0.4
+pkgver=1.2
 pkgrel=1
 pkgdesc="X transport library"
 arch=(i686 x86_64)
+license=('custom')
 url="http://xorg.freedesktop.org/"
 source=(${url}/releases/individual/lib/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('a91fef8b932b21992af7dfff7b2643f3')
 
 build() {
-  cd ${startdir}/src/${pkgname}-$pkgver
-  ./configure --prefix=/usr
+  cd ${startdir}/src/${pkgname}-${pkgver}
+  ./configure --prefix=/usr || return 1
   make || return 1
   make DESTDIR=${startdir}/pkg install || return 1
+  install -m755 -d ${startdir}/pkg/usr/share/licenses/${pkgname}
+  install -m644 COPYING ${startdir}/pkg/usr/share/licenses/${pkgname}/ || return 1
 }
-md5sums=('8b36cdf08df12be96615e3d550236626')





More information about the arch-commits mailing list